
import 'package:meta/meta.dart';

enum AbuseCategory {
  Porn,
  Spam,
  Privacy,
  Violence,
  Others
}

class TimelineReportAbuse {
  int plurkId;
  AbuseCategory abuseCategory;

  TimelineReportAbuse({
    @required this.plurkId,
    @required this.abuseCategory,
  });

  Map<String, String> toBody() {
    final Map<String, String> data = new Map<String, String>();
    if (plurkId != null) data['plurk_id'] = plurkId.toString();
    String abuseCategoryStr = abuseCategory.toString();
    if (abuseCategory != null) data['category'] = abuseCategoryStr.substring(abuseCategoryStr.indexOf('.') + 1, abuseCategoryStr.length).toLowerCase();
    return data;
  }

}