class Filter {
  int porn;
  int anonymous;
  List<String> keywords;

  Filter({this.porn, this.anonymous, this.keywords});

  Filter.fromJson(Map<String, dynamic> json) {
    porn = json['porn'];
    anonymous = json['anonymous'];
    keywords = (json['keywords'] != null) ? json['keywords'].cast<String>() : null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['porn'] = this.porn;
    data['anonymous'] = this.anonymous;
    data['keywords'] = this.keywords;
    return data;
  }
}
